## nextcloud-client 2.3.2

=== client/src/CMakeLists.txt ===
# TODO: OSX and LIB_ONLY seem to require this to go to binary dir only
if(NOT TOKEN_AUTH_ONLY)
endif()

set(synclib_NAME ${APPLICATION_EXECUTABLE}sync)

include(QtVersionAbstraction)
setup_qt()
if(HAVE_QT5 AND NOT BUILD_WITH_QT4)
  if (${Qt5Core_VERSION_MAJOR} EQUAL "5")
    if (${Qt5Core_VERSION_MINOR} EQUAL "4" OR ${Qt5Core_VERSION_MINOR} GREATER 4)
    else()
      message(STATUS "If possible compile me with Qt 5.4 or higher.")
    endif()
  endif()
else()
  message(STATUS "If possible compile me with Qt 5.4 or higher.")
endif()


if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif()

if(NOT TOKEN_AUTH_ONLY)
    if (Qt5Core_DIR)
    find_package(Qt5Keychain REQUIRED)
    else()
    find_package(QtKeychain REQUIRED)
    endif()
endif()

add_subdirectory(libsync)
if (NOT BUILD_LIBRARIES_ONLY)
    add_subdirectory(gui)
    add_subdirectory(cmd)

    if (WITH_CRASHREPORTER)
        add_subdirectory(3rdparty/libcrashreporter-qt)
        add_subdirectory(crashreporter)
    endif()
endif(NOT BUILD_LIBRARIES_ONLY)

find_program(KRAZY2_EXECUTABLE krazy2)
if(KRAZY2_EXECUTABLE)
    # s/y k/y ALL k/ for building this target always
    add_custom_target( krazy krazy2 --check-sets c++,qt4,foss
                       ${PROJECT_SOURCE_DIR}/src/libsync/*.ui
                       ${PROJECT_SOURCE_DIR}/src/libsync/*.h
                       ${PROJECT_SOURCE_DIR}/src/libsync/*.cpp
                       ${PROJECT_SOURCE_DIR}/src/gui/*.ui
                       ${PROJECT_SOURCE_DIR}/src/gui/*.h
                       ${PROJECT_SOURCE_DIR}/src/gui/*.cpp
                       ${PROJECT_SOURCE_DIR}/src/cmd/*.h
                       ${PROJECT_SOURCE_DIR}/src/cmd/*.cpp
)
endif()

=== client/test/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR}/csync ${CMAKE_BINARY_DIR}/csync/src ${CMAKE_BINARY_DIR}/src)
include_directories(${CMAKE_SOURCE_DIR}/csync/src/)
include_directories(${CMAKE_SOURCE_DIR}/csync/src/std ${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_SOURCE_DIR}/src/3rdparty/qtokenizer)

include(QtVersionAbstraction)
setup_qt()

include(owncloud_add_test.cmake)

owncloud_add_test(OwncloudPropagator "")
owncloud_add_test(Updater "")

SET(FolderWatcher_SRC ../src/gui/folderwatcher.cpp)

IF( NOT WIN32 AND NOT APPLE )
list(APPEND FolderWatcher_SRC  ../src/gui/folderwatcher_linux.cpp)
ENDIF()
IF( WIN32 )
list(APPEND  FolderWatcher_SRC ../src/gui/folderwatcher_win.cpp)
ENDIF()
IF( APPLE )
list(APPEND FolderWatcher_SRC ../src/gui/folderwatcher_mac.cpp)
list(APPEND FolderWatcher_SRC ../src/gui/socketapisocket_mac.mm)
ENDIF()
owncloud_add_test(CSyncSqlite "")
owncloud_add_test(NetrcParser ../src/cmd/netrcparser.cpp)
owncloud_add_test(OwnSql "")
owncloud_add_test(SyncJournalDB "")
owncloud_add_test(SyncFileItem "")
owncloud_add_test(ConcatUrl "")
owncloud_add_test(XmlParse "")
owncloud_add_test(ChecksumValidator "")

owncloud_add_test(ExcludedFiles "")
if(HAVE_QT5 AND NOT BUILD_WITH_QT4)
    owncloud_add_test(FileSystem "")
    owncloud_add_test(Utility "")
    owncloud_add_test(SyncEngine "syncenginetestutils.h")
    owncloud_add_test(SyncFileStatusTracker "syncenginetestutils.h")
    owncloud_add_test(ChunkingNg "syncenginetestutils.h")
    owncloud_add_test(UploadReset "syncenginetestutils.h")
    owncloud_add_test(AllFilesDeleted "syncenginetestutils.h")
    owncloud_add_test(FolderWatcher "${FolderWatcher_SRC}")

    if( UNIX AND NOT APPLE )
        owncloud_add_test(InotifyWatcher "${FolderWatcher_SRC}")
    endif(UNIX AND NOT APPLE)

    owncloud_add_benchmark(LargeSync "syncenginetestutils.h")
endif(HAVE_QT5 AND NOT BUILD_WITH_QT4)

SET(FolderMan_SRC ../src/gui/folderman.cpp)
list(APPEND FolderMan_SRC ../src/gui/folder.cpp )
list(APPEND FolderMan_SRC ../src/gui/socketapi.cpp )
list(APPEND FolderMan_SRC ../src/gui/accountstate.cpp )
list(APPEND FolderMan_SRC ../src/gui/syncrunfilelog.cpp )
list(APPEND FolderMan_SRC ../src/gui/lockwatcher.cpp )
list(APPEND FolderMan_SRC ${FolderWatcher_SRC})
list(APPEND FolderMan_SRC stub.cpp )
owncloud_add_test(FolderMan "${FolderMan_SRC}")

=== client/admin/osx/CMakeLists.txt ===

# Check if varialbe MAC_INSTALLER_BACKGROUND_FILE is defined. That might come
# from the OEM.cmake for branded clients or from OWNCLOUD.cmake for the non
# branded client.
# Make sure that the MAC_INSTALLER_BACKGROUND_FILE contains the full path, ie.
# includes CMAKE_SOURCE_DIR or so.

if (DEFINED MAC_INSTALLER_BACKGROUND_FILE )
  set(MAC_INSTALLER_DO_CUSTOM_BACKGROUND "1")
else()
  set(MAC_INSTALLER_DO_CUSTOM_BACKGROUND "0")
endif()

configure_file(create_mac_pkg.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/create_mac.sh)
configure_file(macosx.pkgproj ${CMAKE_CURRENT_BINARY_DIR}/macosx.pkgproj)
configure_file(pre_install.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/pre_install.sh)
configure_file(post_install.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/post_install.sh)

=== debian/changelog ===
nextcloud-client (2.3.2-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Aug 2017 16:40:50 -0700

nextcloud-client (2.3.2-20170713.070732~trusty1) trusty; urgency=medium

  * Merge pull request #185 from nextcloud/final-2.3.2

 -- Roeland Jago Douma <rullzer@users.noreply.github.com>  Thu, 13 Jul 2017 09:07:32 +0200

nextcloud-client (2.3.2-20170712.175908~trusty1) trusty; urgency=medium

  * 2.3.2

 -- Roeland Jago Douma <roeland@famdouma.nl>  Wed, 12 Jul 2017 19:59:08 +0200

nextcloud-client (2.3.2-20170708.161854~trusty1) trusty; urgency=medium

  * Support for Ubuntu Artful (#183)

 -- István Váradi <ivaradi@users.noreply.github.com>  Sat, 8 Jul 2017 18:18:54 +0200

nextcloud-client (2.3.2-20170707.204921~trusty1) trusty; urgency=medium

  * AppImage Qt5.8 (#162)

 -- Roeland Jago Douma <rullzer@users.noreply.github.com>  Fri, 7 Jul 2017 22:49:21 +0200

nextcloud-client (2.3.2-20170704.103825~trusty1) trusty; urgency=medium

  * Merge pull request #176 from nextcloud/template

 -- Julius Härtl <github@jus.li>  Tue, 4 Jul 2017 12:38:25 +0200

nextcloud-client (2.3.2-20170703.163422~trusty1) trusty; urgency=medium

  * per review

 -- Daniel Hansson <daniel@techandme.se>  Mon, 3 Jul 2017 18:34:22 +0200

nextcloud-client (2.3.2-20170625.213647~trusty1) trusty; urgency=medium

  * make if more obvious where to report issues

 -- Daniel Hansson <daniel@techandme.se>  Sun, 25 Jun 2017 23:36:47 +0200

nextcloud-client (2.3.2-20170611.164101~trusty1) trusty; urgency=medium

  * Use proper icon for notifications (#170)

 -- Julius Härtl <github@jus.li>  Sun, 11 Jun 2017 18:41:01 +0200

nextcloud-client (2.3.2-20170605.131037~trusty1) trusty; urgency=medium

  * Added info on downloading the Debian repository signing key (#168)

 -- István Váradi <ivaradi@users.noreply.github.com>  Mon, 5 Jun 2017 15:10:37 +0200

nextcloud-client (2.3.2-20170531.153810~trusty1) trusty; urgency=medium

  * OBS beta packages are in a different project (#164)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 31 May 2017 17:38:10 +0200

nextcloud-client (2.3.2-20170524.183720~trusty1) trusty; urgency=medium

  * The contents of an empty OBS package are not attempted to be deleted (#158)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 24 May 2017 20:37:20 +0200

nextcloud-client (2.3.2-20170524.173543~trusty1) trusty; urgency=medium

  * OBS_SUBDIR is also set to the beta package, if needed (#157)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 24 May 2017 19:35:43 +0200

nextcloud-client (2.3.2-20170524.152636~trusty1) trusty; urgency=medium

  * add launchpad (#156)

 -- Daniel Hansson <daniel@techandme.se>  Wed, 24 May 2017 17:26:36 +0200

nextcloud-client (2.3.2-20170522.191018~trusty1) trusty; urgency=medium

  * Merge pull request #154 from nextcloud/2.3.2-beta

 -- Roeland Jago Douma <rullzer@users.noreply.github.com>  Mon, 22 May 2017 21:10:18 +0200

nextcloud-client (2.3.1-20170522.084614~trusty1) trusty; urgency=medium

  * Update mac script for 2.3.2

 -- Mario Danic <mario@lovelyhq.com>  Mon, 22 May 2017 10:46:14 +0200

nextcloud-client (2.3.1-20170522.063130~trusty1) trusty; urgency=medium

  * 2.3.2 beta

 -- Roeland Jago Douma <roeland@famdouma.nl>  Mon, 22 May 2017 08:31:30 +0200

nextcloud-client (2.3.1-20170514.194620~trusty1) trusty; urgency=medium

  * Merge pull request #150 from TheAssassin/master

 -- probonopd <probonopd@users.noreply.github.com>  Sun, 14 May 2017 21:46:20 +0200

nextcloud-client (2.3.1-20170514.194601~trusty1) trusty; urgency=medium

  * Add "." between "git" and the commit hash

 -- probonopd <probonopd@users.noreply.github.com>  Sun, 14 May 2017 21:46:01 +0200

nextcloud-client (2.3.1-20170514.192106~trusty1) trusty; urgency=medium

  * Remove lecagy glibc version hack

 -- TheAssassin <TheAssassin@users.noreply.github.com>  Sun, 14 May 2017 21:21:06 +0200

nextcloud-client (2.3.1-20170510.175459~trusty1) trusty; urgency=medium

  * Minor fixes for Ubuntu/Debian packaging (#143)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 10 May 2017 19:54:59 +0200

nextcloud-client (2.3.1-20170510.084358~trusty1) trusty; urgency=medium

  * Merge pull request #142 from nextcloud/fix-qt-compile-instructions

 -- Lukas Reschke <lukas@statuscode.ch>  Wed, 10 May 2017 10:43:58 +0200

nextcloud-client (2.3.1-20170510.083421~trusty1) trusty; urgency=medium

  * Fix QT compile instructions

 -- Mario Danic <mario@lovelyhq.com>  Wed, 10 May 2017 10:34:21 +0200

nextcloud-client (2.3.1-20170509.182700~trusty1) trusty; urgency=medium

  * Add snap install instructions (#132)

 -- Martin Wimpress <code@flexion.org>  Tue, 9 May 2017 19:27:00 +0100

nextcloud-client (2.3.1-20170509.175441~trusty1) trusty; urgency=medium

  * Travis build for Debian (#141)

 -- István Váradi <ivaradi@users.noreply.github.com>  Tue, 9 May 2017 19:54:41 +0200

nextcloud-client (2.3.1-20170509.175254~trusty1) trusty; urgency=medium

  * The distribution-specific files are copied correctly (#140)

 -- István Váradi <ivaradi@users.noreply.github.com>  Tue, 9 May 2017 19:52:54 +0200

nextcloud-client (2.3.1-20170507.145807~trusty1) trusty; urgency=medium

  * Typo in README! (#137)

 -- g-perez-scornik <gasparperez2010@gmail.com>  Sun, 7 May 2017 16:58:07 +0200

nextcloud-client (2.3.1-20170507.124404~trusty1) trusty; urgency=medium

  * The source package is signed only if the keys are defined (#138)

 -- István Váradi <ivaradi@users.noreply.github.com>  Sun, 7 May 2017 14:44:04 +0200

nextcloud-client (2.3.1-20170507.123642~trusty1) trusty; urgency=medium

  * Build with Qt5 and the KDE Frameworks (#136)

 -- István Váradi <ivaradi@users.noreply.github.com>  Sun, 7 May 2017 14:36:42 +0200

nextcloud-client (2.3.1-20170504.043508~trusty1) trusty; urgency=medium

  * Travis build of Ubuntu packages (#133)

 -- ivaradi <ivaradi@users.noreply.github.com>  Thu, 4 May 2017 06:35:08 +0200



=== debian/control ===
Source: nextcloud-client
Section: contrib/devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: István Váradi <ivaradi@varadiistvan.hu>
Build-Depends: debhelper (>= 9),
                cdbs,
                cmake,
                libssl-dev (>= 1.0.0),
                libsqlite3-dev (>=3.8.0),
                qtkeychain-dev (>=0.7.0),
                libqtwebkit-dev,
                pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/nextcloud/client_theming
#Vcs-Git: git://anonscm.debian.org/collab-maint/nextcloud-client.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nextcloud-client.git

Package: nextcloud-client
Architecture: any
Depends: libnextcloudsync0 (=${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
          nextcloud-client-l10n
Description: Nextcloud desktop sync client
 Use the desktop client to keep your files synchronized
 between your Nextcloud server and your desktop. Select
 one or more directories on your local machine and always
 have access to your latest files wherever you are.

Package: libnextcloudsync0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nextcloud sync library
 Used by the Nextcloud desktop client as the synchronization engine.

Package: libnextcloudsync-dev
Architecture: any
Section: contrib/libdevel
Depends: libnextcloudsync0 (=${binary:Version}), ${misc:Depends}
Description: Nextcloud sync library development files
 The headers and development library for the Nextcloud sync library.

Package: nextcloud-client-l10n
Architecture: all
Depends: ${misc:Depends}
Description: Nextcloud client internatialization files
 The translation files.

Package: nextcloud-client-nautilus
Architecture: all
Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nautilus, nautilus, ${misc:Depends}
Description: Nautilus plugin for Nextcloud
 This package contains a Nautilus plugin to display
 synchronization status icons for Nextcloud files.

Package: nextcloud-client-nemo
Architecture: all
Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nemo | nemo-python, nemo, ${misc:Depends}
Description: Nemo plugin for Nextcloud
 This package contains a Nemo plugin to display
 synchronization status icons for Nextcloud files.

Package: nextcloud-client-caja
Architecture: all
Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-caja, caja, ${misc:Depends}
Description: Caja plugin for Nextcloud
 This package contains a Caja plugin to display
 synchronization status icons for Nextcloud files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_SHLIBDEPS_INCLUDE=$(CURDIR)/$(DEB_BUILDDIR)/csync/src

DEB_SRCDIR=client
DEB_CMAKE_EXTRA_FLAGS = -DOEM_THEME_DIR=$(CURDIR)/nextcloudtheme \
                        -DCMAKE_SKIP_RPATH=OFF \
                        -DCMAKE_SKIP_BUILD_RPATH=ON \
                        -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
                        -DBUILD_WITH_QT4=ON

## nextcloud-client 2.3.3

=== debian/changelog ===
nextcloud-client (2.3.3-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Add set-kde-use-qt-sys-path.patch and local-changes patches from the PPA.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Sep 2018 11:05:02 -0700

nextcloud-client (2.3.2-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Oct 2017 11:41:40 -0700

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,29 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: István Váradi <ivaradi@varadiistvan.hu>
-Build-Depends: debhelper (>= 9),
-                cdbs,
-                cmake,
-                libssl-dev (>= 1.0.0),
-                libsqlite3-dev (>=3.8.0),
-                qtkeychain-dev (>=0.7.0),
-                libqtwebkit-dev,
-                pkg-config
+Build-Depends: cmake,
+               debhelper (>= 9),
+               cdbs,
+               dh-python,
+               extra-cmake-modules (>= 5.16),
+               kdelibs5-dev,
+               kio-dev,
+               libcmocka-dev,
+               libhttp-dav-perl,
+               libinotify-dev [kfreebsd-any],
+               libqt5webkit5-dev,
+               libsqlite3-dev,
+               libssl-dev (>> 1.0.0),
+               zlib1g-dev,
+               optipng,
+               pkg-kde-tools,
+               python-sphinx | python3-sphinx,
+               python3-all,
+               qt5keychain-dev,
+               qtdeclarative5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
+               xvfb
 Standards-Version: 3.9.8
 Homepage: https://github.com/nextcloud/client_theming
 #Vcs-Git: git://anonscm.debian.org/collab-maint/nextcloud-client.git
@@ -50,21 +65,32 @@
 
 Package: nextcloud-client-nautilus
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nautilus, nautilus, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
+ python-nautilus, nautilus, ${misc:Depends}
 Description: Nautilus plugin for Nextcloud
  This package contains a Nautilus plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-nemo
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nemo | nemo-python, nemo, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
+ python-nemo | nemo-python, nemo, ${misc:Depends}
 Description: Nemo plugin for Nextcloud
  This package contains a Nemo plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-caja
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-caja, caja, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
+ python-caja, caja, ${misc:Depends}
 Description: Caja plugin for Nextcloud
  This package contains a Caja plugin to display
  synchronization status icons for Nextcloud files.
+
+Package: nextcloud-client-dolphin
+Architecture: any
+Depends: dolphin (>= 4:15.12.1), libnextcloudsync0 (= ${binary:Version}),
+ nextcloud-client, ${misc:Depends}, ${shlibs:Depends}
+Description: Dolphin plugin for Nextcloud
+ This package contains a Dolphin plugin to display
+ synchronization status icons for Nextcloud files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_SHLIBDEPS_INCLUDE=$(CURDIR)/$(DEB_BUILDDIR)/csync/src

DEB_SRCDIR=client
DEB_CMAKE_EXTRA_FLAGS = -DOEM_THEME_DIR=$(CURDIR)/nextcloudtheme \
                        -DCMAKE_SKIP_RPATH=OFF \
                        -DCMAKE_SKIP_BUILD_RPATH=ON \
                        -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON

## nextcloud-client 2.5.1

=== src/3rdparty/libcrashreporter-qt/CMakeLists.txt ===
project(libcrashreporter-qt)
cmake_minimum_required(VERSION 3.1)

if(POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()


if((CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_FLAGS) OR
   (UNIX AND NOT APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    # Breakpad uses GNU compiler extensions like typeof.
    # Luckily these features are not used on OSX, so we can build the
    # crashreporter there with the normal C++11 standard.
    string(REPLACE "-std=c++11" "-std=gnu++11" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
    string(REPLACE "-std=c++14" "-std=gnu++14" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
endif()

add_subdirectory(3rdparty)
add_subdirectory(src)

=== src/3rdparty/libcrashreporter-qt/3rdparty/CMakeLists.txt ===
add_subdirectory(breakpad)
add_subdirectory(drkonqi-parser)

=== src/3rdparty/libcrashreporter-qt/3rdparty/breakpad/CMakeLists.txt ===
# PROJECT(breakpad)
# cmake_minimum_required(VERSION 2.8)
# 
# set( CMAKE_MODULE_PATH
#      ${CMAKE_MODULE_PATH}
#      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
# )
# 
# if( CMAKE_COMPILER_IS_GNUCXX )
#     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++98")
# endif()
# 
# if(${CMAKE_BUILD_TYPE} MATCHES "Release")
#   add_definitions(-DNDEBUG)
# endif(${CMAKE_BUILD_TYPE} MATCHES "Release")

if(UNIX)
    list(APPEND breakpadSources
        client/minidump_file_writer.cc
        common/convert_UTF.c
        common/string_conversion.cc
    )

    if(APPLE)
        list(APPEND breakpadSources
            client/mac/crash_generation/crash_generation_client.cc
            client/mac/crash_generation/crash_generation_server.cc
            client/mac/handler/breakpad_nlist_64.cc
            client/mac/handler/dynamic_images.cc
            client/mac/handler/exception_handler.cc
            client/mac/handler/minidump_generator.cc
            client/mac/handler/protected_memory_allocator.cc
            common/mac/file_id.cc
            common/mac/macho_id.cc
            common/mac/macho_reader.cc
            common/mac/macho_utilities.cc
            common/mac/macho_walker.cc
            common/mac/string_utilities.cc
            common/md5.cc
            common/mac/dump_syms.mm
            common/mac/MachIPC.mm
            common/dwarf/dwarf2reader.cc
            common/mac/bootstrap_compat.cc
            common/dwarf_cfi_to_module.cc
        )
    else()
        list(APPEND breakpadSources
            client/linux/crash_generation/crash_generation_client.cc
            client/linux/handler/exception_handler.cc
            client/linux/handler/minidump_descriptor.cc
            client/linux/log/log.cc
            client/linux/minidump_writer/linux_dumper.cc
            client/linux/minidump_writer/linux_ptrace_dumper.cc
            client/linux/minidump_writer/minidump_writer.cc
            common/linux/elfutils.cc
            common/linux/file_id.cc
            common/linux/guid_creator.cc
            common/linux/linux_libc_support.cc
            common/linux/memory_mapped_file.cc
            common/linux/safe_readlink.cc
        )
    endif()
endif()

if(WIN32)
    add_definitions( -DUNICODE -fshort-wchar )
    list(APPEND breakpadSources
        client/windows/handler/exception_handler.cc
        client/windows/crash_generation/crash_generation_client.cc
        common/windows/guid_string.cc
    )
endif()


include_directories(.)
# ADD_DEFINITIONS( -fPIC )
add_library(crashreporter-breakpad STATIC ${breakpadSources} )
target_link_libraries(crashreporter-breakpad pthread)

if(WIN32)
    target_link_libraries(crashreporter-breakpad "mingwex")
endif()

=== src/3rdparty/libcrashreporter-qt/src/libcrashreporter-gui/CMakeLists.txt ===
set(crashreporter_SOURCES CrashReporter.cpp CrashReporterGzip.cpp)
set(crashreporter_UI CrashReporter.ui)
set(crashreporter_RC ../../resources.qrc)
set(crashreporter_INCLUDE_DIRECTORIES ${CMAKE_CURRENT_LIST_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES})


if(UNIX AND NOT APPLE)
list(APPEND crashreporter_INCLUDE_DIRECTORIES
    ${CMAKE_CURRENT_LIST_DIR}/../../3rdparty/drkonqi-parser
)
list(APPEND crashreporter_LIBRARIES
    drkonqi_backtrace_parser
)
list(APPEND crashreporter_SOURCES
    linux-backtrace-generator/crashedapplication.cpp
    linux-backtrace-generator/backtracegenerator.cpp
    linux-backtrace-generator/debugger.cpp
    linux-backtrace-generator/crqt-kmacroexpander.cpp
    linux-backtrace-generator/crqt-kmacroexpander_unix.cpp
    linux-backtrace-generator/crqt-kshell.cpp
    linux-backtrace-generator/crqt-kshell_unix.cpp
)
endif()

qt5_wrap_ui(crashreporter_UI_HEADERS ${crashreporter_UI})

add_library(crashreporter-gui STATIC
    ${crashreporter_SOURCES}
    ${crashreporter_HEADERS_MOC}
    ${crashreporter_UI_HEADERS}
    ${crashreporter_RC_RCC}
)

target_include_directories(crashreporter-gui PUBLIC ${crashreporter_INCLUDE_DIRECTORIES})

target_link_libraries(crashreporter-gui
    ${QT_QTGUI_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${crashreporter_LIBRARIES}
)

set_target_properties(crashreporter-gui PROPERTIES AUTOMOC ON)
#install(TARGETS crashreporter-gui
#    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
#    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
#)

qt5_use_modules(crashreporter-gui Core Widgets Network)

=== src/3rdparty/libcrashreporter-qt/src/libcrashreporter-handler/CMakeLists.txt ===
# message(FATAL_ERROR "${CMAKE_CURRENT_LIST_DIR}/../../3rdparty/breakpad")

list(APPEND crashreporter-handler_INCLUDE_DIRECTORIES
    ${CMAKE_CURRENT_LIST_DIR}/..
    ${CMAKE_CURRENT_LIST_DIR}/../../3rdparty/breakpad
    ${QT_QTCORE_INCLUDE_DIR}
)

list(APPEND crashreporter-handler_SOURCES
    Handler.cpp
)

list(APPEND crashreporter-handler_LIBRARIES
    crashreporter-breakpad
)

add_library(crashreporter-handler STATIC ${crashreporter-handler_SOURCES})
target_include_directories(crashreporter-handler PUBLIC ${crashreporter-handler_INCLUDE_DIRECTORIES})
target_link_libraries(crashreporter-handler ${crashreporter-handler_LIBRARIES})
qt5_use_modules(crashreporter-handler Core)

if(WIN32)
    add_definitions( -DUNICODE ) #-fshort-wchar )
endif()

=== debian/changelog ===
nextcloud-client (2.5.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Drop existing patches, fixed upstream.
  * Add libssl.patch.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Jan 2019 16:03:03 -0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: contrib/devel
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: István Váradi <ivaradi@varadiistvan.hu>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper,
                cdbs,
                dh-python,
                extra-cmake-modules (>= 5.16),
@@ -15,17 +14,19 @@
                libhttp-dav-perl,
                libinotify-dev [kfreebsd-any],
                libqt5webkit5-dev,
+               libqt5svg5-dev,
                libsqlite3-dev,
-               libssl-dev (>> 1.0.0),
+               libssl-dev (>= 1.0.0),
                zlib1g-dev,
                optipng,
                pkg-kde-tools,
                python-sphinx | python3-sphinx,
                python3-all,
                qt5keychain-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
+               qtwebengine5-dev (>=5.6),
+               qtdeclarative5-dev (>=5.6),
+               qttools5-dev (>=5.6),
+               qttools5-dev-tools (>=5.6),
                xvfb
 Standards-Version: 3.9.8
 Homepage: https://github.com/nextcloud/client_theming
@@ -34,10 +35,8 @@
 
 Package: nextcloud-client
 Architecture: any
-Depends: libnextcloudsync0 (=${binary:Version}),
-          ${shlibs:Depends},
-          ${misc:Depends},
-          nextcloud-client-l10n
+Depends: libnextcloudsync0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, nextcloud-client-l10n
+Recommends: libgnome-keyring0
 Description: Nextcloud desktop sync client
  Use the desktop client to keep your files synchronized
  between your Nextcloud server and your desktop. Select
@@ -65,32 +64,28 @@
 
 Package: nextcloud-client-nautilus
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
- python-nautilus, nautilus, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nautilus, nautilus, ${misc:Depends}
 Description: Nautilus plugin for Nextcloud
  This package contains a Nautilus plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-nemo
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
- python-nemo | nemo-python, nemo, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nemo | nemo-python, nemo, ${misc:Depends}
 Description: Nemo plugin for Nextcloud
  This package contains a Nemo plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-caja
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
- python-caja, caja, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-caja, caja, ${misc:Depends}
 Description: Caja plugin for Nextcloud
  This package contains a Caja plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-dolphin
 Architecture: any
-Depends: dolphin (>= 4:15.12.1), libnextcloudsync0 (= ${binary:Version}),
- nextcloud-client, ${misc:Depends}, ${shlibs:Depends}
+Depends: dolphin (>= 4:15.12.1), libnextcloudsync0 (= ${binary:Version}), nextcloud-client, ${misc:Depends}, ${shlibs:Depends}
 Description: Dolphin plugin for Nextcloud
  This package contains a Dolphin plugin to display
  synchronization status icons for Nextcloud files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_SHLIBDEPS_INCLUDE=$(CURDIR)/$(DEB_BUILDDIR)/csync/src
DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

DEB_SRCDIR=.
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF -DCMAKE_SKIP_BUILD_RPATH=ON -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON

## nextcloud-client 2.5.2

=== debian/changelog ===
nextcloud-client (2.5.2-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jul 2019 16:09:51 -0700

nextcloud-client (2.5.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Import debian/patches and /post-patches from the 2.5.2 PPA version.
  * Wrap some lines in debian/rules.
  * Run wrap-and-sort on the control file.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jun 2019 10:46:22 -0700

## nextcloud-client 2.5.3

=== debian/changelog ===
nextcloud-client (2.5.3-0.1~mx19+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 Jul 2019 15:21:10 -0700

=== debian/control ===
Source: nextcloud-client
Section: contrib/devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: István Váradi <ivaradi@varadiistvan.hu>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 9),
               dh-python,
               extra-cmake-modules (>= 5.16),
               kdelibs5-dev,
               kio-dev,
               libcmocka-dev,
               libhttp-dav-perl,
               libinotify-dev [kfreebsd-any],
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libsqlite3-dev,
               libssl-dev (>= 1.0.0),
               optipng,
               pkg-kde-tools,
               python-sphinx | python3-sphinx,
               python3-all,
               qt5keychain-dev,
               qtdeclarative5-dev (>=5.6),
               qttools5-dev (>=5.6),
               qttools5-dev-tools (>=5.6),
               qtwebengine5-dev (>=5.6),
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://github.com/nextcloud/client_theming

Package: nextcloud-client
Architecture: any
Depends: libnextcloudsync0 (=${binary:Version}),
         nextcloud-client-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libgnome-keyring0
Description: Nextcloud desktop sync client
 Use the desktop client to keep your files synchronized
 between your Nextcloud server and your desktop. Select
 one or more directories on your local machine and always
 have access to your latest files wherever you are.

Package: libnextcloudsync0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nextcloud sync library
 Used by the Nextcloud desktop client as the synchronization engine.

Package: libnextcloudsync-dev
Architecture: any
Section: contrib/libdevel
Depends: libnextcloudsync0 (=${binary:Version}), ${misc:Depends}
Description: Nextcloud sync library development files
 The headers and development library for the Nextcloud sync library.

Package: nextcloud-client-l10n
Architecture: all
Depends: ${misc:Depends}
Description: Nextcloud client internatialization files
 The translation files.

Package: nextcloud-client-nautilus
Architecture: all
Depends: libnextcloudsync0,
         nautilus,
         nextcloud-client (>=${binary:Version}),
         python-nautilus,
         ${misc:Depends}
Description: Nautilus plugin for Nextcloud
 This package contains a Nautilus plugin to display
 synchronization status icons for Nextcloud files.

Package: nextcloud-client-nemo
Architecture: all
Depends: libnextcloudsync0,
         nemo,
         nextcloud-client (>=${binary:Version}),
         python-nemo | nemo-python,
         ${misc:Depends}
Description: Nemo plugin for Nextcloud
 This package contains a Nemo plugin to display
 synchronization status icons for Nextcloud files.

Package: nextcloud-client-caja
Architecture: all
Depends: caja,
         libnextcloudsync0,
         nextcloud-client (>=${binary:Version}),
         python-caja,
         ${misc:Depends}
Description: Caja plugin for Nextcloud
 This package contains a Caja plugin to display
 synchronization status icons for Nextcloud files.

Package: nextcloud-client-dolphin
Architecture: any
Depends: dolphin (>= 4:15.12.1),
         libnextcloudsync0 (= ${binary:Version}),
         nextcloud-client,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Dolphin plugin for Nextcloud
 This package contains a Dolphin plugin to display
 synchronization status icons for Nextcloud files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_SHLIBDEPS_INCLUDE=$(CURDIR)/$(DEB_BUILDDIR)/csync/src
DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

DEB_SRCDIR=.
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF \
                        -DCMAKE_SKIP_BUILD_RPATH=ON \
                        -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON
